umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Slots | Protected Attributes | List of all members
ObjectsWindow Class Reference

`#include <objectswindow.h>`

Inheritance diagram for ObjectsWindow:

## Public Slots
void | modified ()

## Public Member Functions
| ObjectsWindow (const QString &title, QWidget *parent=0)
| ~ObjectsWindow ()

## Protected Slots
void | slotObjectsDoubleClicked (QModelIndex index)
void | slotObjectsClicked (QModelIndex index)

## Protected Attributes
QTableView * | m_objectsTree
QSortFilterProxyModel * | m_proxyModel

## Constructor & Destructor Documentation

## ◆ ObjectsWindow()

ObjectsWindow::ObjectsWindow | ( | const QString & | title,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~ObjectsWindow()

ObjectsWindow::~ObjectsWindow | ( |  | ) |

## Member Function Documentation

## ◆ modified

void ObjectsWindow::modified | ( |  | ) |
| slot

## ◆ slotObjectsClicked

void ObjectsWindow::slotObjectsClicked | ( | QModelIndex | index | ) |
| protected slot

## ◆ slotObjectsDoubleClicked

void ObjectsWindow::slotObjectsDoubleClicked | ( | QModelIndex | index | ) |
| protected slot

## Member Data Documentation

## ◆ m_objectsTree

QTableView* ObjectsWindow::m_objectsTree
| protected

## ◆ m_proxyModel

QSortFilterProxyModel* ObjectsWindow::m_proxyModel
| protected

The documentation for this class was generated from the following files:

- umbrello/objectswindow.h
- umbrello/objectswindow.cpp